<?php

namespace OtomaticAi\Content\Contracts;

use DOMDocument;
use DOMElement;

interface ShouldDisplay
{
    public function toHtmlElement(DOMDocument $document): ?DOMElement;
    public function toDisplayElement(DOMElement $node): ?DOMElement;
    static public function fromHtmlElement(DOMElement $node);
}
